﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WG_CreateChildBandRows
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            setUpGridData();
        }

        private void setUpGridData()
        {
            DataSet ds = new DataSet();
            DataTable t1 = ds.Tables.Add("table1");
            t1.Columns.Add("id", typeof(int)).AutoIncrement = true;
            t1.Columns.Add("Name", typeof(string));
            t1.Columns.Add("Quantity", typeof(int));
            t1.Columns.Add("Price", typeof(double));
            t1.Columns.Add("Date", typeof(DateTime));

            DataTable t2 = ds.Tables.Add("table2");
            t2.Columns.Add("id", typeof(int)).AutoIncrement = true;
            t2.Columns.Add("pid", typeof(int));
            t2.Columns.Add("Name", typeof(string));
            t2.Columns.Add("Address", typeof(string));
            t2.Columns.Add("Number", typeof(int));

            ds.Relations.Add(t1.Columns["id"], t2.Columns["pid"]);

            ds.Tables["table1"].Rows.Add(new Object[] { null, "Beverage", 50, 10.2, new DateTime(2008, 04, 22) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "Appliances", 5, 90, new DateTime(2012, 05, 10) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "FastFood", 20, 32, new DateTime(2005, 10, 05) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "Furniture", 12, 79, new DateTime(2009, 02, 28) });

            ds.Tables["table2"].Rows.Add(new Object[] { null, 0, "Coca - Cola", " Somewhere", 2 });
            ds.Tables["table2"].Rows.Add(new Object[] { null, 1, "Coca - Cola", " Somewhere", 2 });
            ds.Tables["table2"].Rows.Add(new Object[] { null, 2, "Coca - Cola", " Somewhere", 2 });
            ds.Tables["table2"].Rows.Add(new Object[] { null, 3, "Coca - Cola", " Somewhere", 2 });

            ultraGrid1.DataSource = ds;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            UltraGridRow PassengerRow = ultraGrid1.DisplayLayout.Bands[1].AddNew();
        }
    }
}
